NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::QualifySketchBuilder builder. More...
Public Member Functions | |
int | ActiveRowIndex () |
Returns the active row index. | |
void | AssignAttribute (NXOpen::TaggedObject *entity, const NXString &category, const NXString &title, const NXString &value, int attrType, const NXString &objName) |
Assigns attributes to the anchor point. | |
void | AssignAttribute (NXOpen::TaggedObject *entity, const char *category, const char *title, const char *value, int attrType, const char *objName) |
Assigns attributes to the anchor point. | |
NXOpen::SelectCurve * | BaseLine () |
Returns the selected base line. | |
int | ContextAttribute () |
Returns the context attribute. | |
NXOpen::Features::ShipDesign::AnchorPoint * | CreateNewAnchorPoint () |
Creates the anchor point. | |
int | Feature () |
Returns the steel feture type. | |
NXString | ModelFile () |
Returns the model file name. | |
NXOpen::Features::ShipDesign::AnchorPointList * | ModelList () |
Returns the model list. | |
NXString | ModelPath () |
Returns the model file path. | |
NXOpen::SelectCurve * | MoldLine () |
Returns the selected mold line. | |
void | OpenParameterSpreadSheetToEdit () |
Opens parameter spreadsheet to edit. | |
void | OpenPartFile () |
Opens the template part file. | |
void | OpenRegistrationSpreadSheetToEdit () |
Opens registration spreadsheet to edit. | |
NXOpen::SelectCurve * | OpposingMoldLine () |
Returns the selected opposing mold line. | |
void | PreviewLeftImage () |
Previews left image. | |
void | PreviewRightImage () |
Previews right image. | |
void | ReloadParameterSpreadSheet () |
Reloads parameter spreadsheet. | |
void | ReloadRegisterSpreadSheet () |
Reloads registration spreadsheet. | |
void | ReloadTable () |
Reloads expression table. | |
void | RemoveAttribute (NXOpen::TaggedObject *entity, const NXString &category, const NXString &title, int attrType) |
Removes attributes from the entity. | |
void | RemoveAttribute (NXOpen::TaggedObject *entity, const char *category, const char *title, int attrType) |
Removes attributes from the entity. | |
int | SectionType () |
Returns the section type. | |
void | SetActiveRowIndex (int activeRowIndex) |
Sets the active row index. | |
void | SetContextAttribute (int contextAttribute) |
Sets the context attribute. | |
void | SetFeature (int feature) |
Sets the steel feture type. | |
void | SetModelFile (const NXString &modelFile) |
Sets the model file name. | |
void | SetModelFile (const char *modelFile) |
Sets the model file name. | |
void | SetModelPath (const NXString &modelPath) |
Sets the model file path. | |
void | SetModelPath (const char *modelPath) |
Sets the model file path. | |
void | SetSectionType (int sectionType) |
Sets the section type. | |
void | SetShipNo (int shipNo) |
Sets the ship no. | |
void | SetSpreadSheetFile (const NXString &spreadSheetFile) |
Sets the parameter spreadsheet file. | |
void | SetSpreadSheetFile (const char *spreadSheetFile) |
Sets the parameter spreadsheet file. | |
void | SetSpreadSheetPath (const NXString &spreadSheetPath) |
Sets the parameter spreadsheet path. | |
void | SetSpreadSheetPath (const char *spreadSheetPath) |
Sets the parameter spreadsheet path. | |
NXOpen::SelectCurve * | ShearLine () |
Returns the selected shear line. | |
int | ShipNo () |
Returns the ship no. | |
NXString | SpreadSheetFile () |
Returns the parameter spreadsheet file. | |
NXString | SpreadSheetPath () |
Returns the parameter spreadsheet path. | |
NXOpen::SelectCurve * | TaperLine () |
Returns the selected taper line. | |
NXOpen::SelectCurve * | TopLine () |
Returns the selected top line. | |
void | UpdateSketch () |
Updates sketch. | |
void | ValidateCurves () |
Validates Curves. | |
void | ValidateParameterSpreadSheet () |
Validates parameter spreadsheet. | |
void | ValidatePartAttributes () |
Validates the part attributes. | |
void | ValidateSketchCurves () |
Validates the sketch curves. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::QualifySketchBuilder builder.
<br> To create a new instance of this class, use @link Features::ShipCollection::CreateQualifySketchBuilder Features::ShipCollection::CreateQualifySketchBuilder @endlink <br>
Created in NX8.0.0.
int NXOpen::Features::ShipDesign::QualifySketchBuilder::ActiveRowIndex | ( | ) |
Returns the active row index.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::QualifySketchBuilder::AssignAttribute | ( | NXOpen::TaggedObject * | entity, |
const NXString & | category, | ||
const NXString & | title, | ||
const NXString & | value, | ||
int | attrType, | ||
const NXString & | objName | ||
) |
Assigns attributes to the anchor point.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
entity | entity |
category | category |
title | title |
value | value |
attrType | attr type |
objName | objname |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::AssignAttribute | ( | NXOpen::TaggedObject * | entity, |
const char * | category, | ||
const char * | title, | ||
const char * | value, | ||
int | attrType, | ||
const char * | objName | ||
) |
Assigns attributes to the anchor point.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
entity | entity |
category | category |
title | title |
value | value |
attrType | attr type |
objName | objname |
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::BaseLine | ( | ) |
Returns the selected base line.
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::QualifySketchBuilder::ContextAttribute | ( | ) |
Returns the context attribute.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::AnchorPoint* NXOpen::Features::ShipDesign::QualifySketchBuilder::CreateNewAnchorPoint | ( | ) |
Creates the anchor point.
int NXOpen::Features::ShipDesign::QualifySketchBuilder::Feature | ( | ) |
Returns the steel feture type.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelFile | ( | ) |
Returns the model file name.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::AnchorPointList* NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelList | ( | ) |
Returns the model list.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::ModelPath | ( | ) |
Returns the model file path.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::MoldLine | ( | ) |
Returns the selected mold line.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenParameterSpreadSheetToEdit | ( | ) |
Opens parameter spreadsheet to edit.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenPartFile | ( | ) |
Opens the template part file.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::OpenRegistrationSpreadSheetToEdit | ( | ) |
Opens registration spreadsheet to edit.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::OpposingMoldLine | ( | ) |
Returns the selected opposing mold line.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::QualifySketchBuilder::PreviewLeftImage | ( | ) |
Previews left image.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::PreviewRightImage | ( | ) |
Previews right image.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadParameterSpreadSheet | ( | ) |
Reloads parameter spreadsheet.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadRegisterSpreadSheet | ( | ) |
Reloads registration spreadsheet.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ReloadTable | ( | ) |
Reloads expression table.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::RemoveAttribute | ( | NXOpen::TaggedObject * | entity, |
const NXString & | category, | ||
const NXString & | title, | ||
int | attrType | ||
) |
Removes attributes from the entity.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
entity | entity |
category | category |
title | title |
attrType | attr type |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::RemoveAttribute | ( | NXOpen::TaggedObject * | entity, |
const char * | category, | ||
const char * | title, | ||
int | attrType | ||
) |
Removes attributes from the entity.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
entity | entity |
category | category |
title | title |
attrType | attr type |
int NXOpen::Features::ShipDesign::QualifySketchBuilder::SectionType | ( | ) |
Returns the section type.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetActiveRowIndex | ( | int | activeRowIndex | ) |
Sets the active row index.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
activeRowIndex | activerowindex |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetContextAttribute | ( | int | contextAttribute | ) |
Sets the context attribute.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
contextAttribute | contextattribute |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetFeature | ( | int | feature | ) |
Sets the steel feture type.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
feature | feature |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelFile | ( | const NXString & | modelFile | ) |
Sets the model file name.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
modelFile | modelfile |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelFile | ( | const char * | modelFile | ) |
Sets the model file name.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
modelFile | modelfile |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelPath | ( | const NXString & | modelPath | ) |
Sets the model file path.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
modelPath | modelpath |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetModelPath | ( | const char * | modelPath | ) |
Sets the model file path.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
modelPath | modelpath |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSectionType | ( | int | sectionType | ) |
Sets the section type.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
sectionType | sectiontype |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetShipNo | ( | int | shipNo | ) |
Sets the ship no.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
shipNo | shipno |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetFile | ( | const NXString & | spreadSheetFile | ) |
Sets the parameter spreadsheet file.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
spreadSheetFile | spreadsheetfile |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetFile | ( | const char * | spreadSheetFile | ) |
Sets the parameter spreadsheet file.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
spreadSheetFile | spreadsheetfile |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetPath | ( | const NXString & | spreadSheetPath | ) |
Sets the parameter spreadsheet path.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
spreadSheetPath | spreadsheetpath |
void NXOpen::Features::ShipDesign::QualifySketchBuilder::SetSpreadSheetPath | ( | const char * | spreadSheetPath | ) |
Sets the parameter spreadsheet path.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
spreadSheetPath | spreadsheetpath |
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::ShearLine | ( | ) |
Returns the selected shear line.
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::QualifySketchBuilder::ShipNo | ( | ) |
Returns the ship no.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::SpreadSheetFile | ( | ) |
Returns the parameter spreadsheet file.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::QualifySketchBuilder::SpreadSheetPath | ( | ) |
Returns the parameter spreadsheet path.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::TaperLine | ( | ) |
Returns the selected taper line.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Features::ShipDesign::QualifySketchBuilder::TopLine | ( | ) |
Returns the selected top line.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::QualifySketchBuilder::UpdateSketch | ( | ) |
Updates sketch.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateCurves | ( | ) |
Validates Curves.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateParameterSpreadSheet | ( | ) |
Validates parameter spreadsheet.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidatePartAttributes | ( | ) |
Validates the part attributes.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::QualifySketchBuilder::ValidateSketchCurves | ( | ) |
Validates the sketch curves.
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")